boost_control {mboost} | R Documentation

## Control Hyper-parameters for Boosting Algorithms

### Description

Definition of the initial number of boosting iterations, step size and other hyper-parameters for boosting algorithms.

### Usage

    boost_control(mstop = 100, nu = 0.1,
                  risk = c("inbag", "oobag", "none"), stopintern = FALSE,
                  center = TRUE, trace = FALSE)

### Arguments

`mstop` | an integer giving the number of initial boosting iterations. If `mstop = 0`, the offset model is returned.
`nu` | a double (between 0 and 1) defining the step size or shrinkage parameter. The default is probably too large for many applications with `family = Poisson()` and a smaller value is better.
`risk` | a character indicating how the empirical risk should be computed for each boosting iteration. `inbag` leads to risks computed for the learning sample (i.e., all non-zero weights), `oobag` to risks based on the out-of-bag (all observations with zero weights) and `none` to no risk computations at all.
`stopintern` | a logical that defines if the boosting algorithm stops internally when the out-of-bag risk in one iteration is larger than the out-of-bag risk in the iteration before. Can also be a positive number giving the risk difference that needs to be exceeded.

`center`

deprecated. A logical indicating if the numerical covariates should be mean centered before fitting. Only implemented for `glmboost`. In `blackboost` centering is not needed. In `gamboost` centering is only needed if `bols` base-learners are specified without intercept. In this case centering of the covariates is essential and should be done manually (at the moment). Will be removed in favour of a corresponding argument in `glmboost` in the future (and gives a warning).

`trace` | a logical triggering printout of status information during the fitting process.

### Details

Objects returned by this function specify hyper-parameters of the boosting algorithms implemented in `glmboost`, `gamboost` and `blackboost` (via the `control` argument).

### Value

An object of class `boost_control`, a list.

### See Also

`mboost`

[Package mboost version 2.8-1 Index]